### execution::mapping_t::new_thread_t

A sub-property that indicates that execution agents are mapped on to new threads of execution.

    struct new_thread_t

##### Types

Name | Description
--- | ---
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
new_thread_t [constructor] | Default constructor.
value [static] | Get the value associated with a property object.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The mapping_t::new_thread_t property applies to executors, senders, and schedulers.
is_preferable [static] | The mapping_t::new_thread_t property can be preferred.
is_requirable [static] | The mapping_t::new_thread_t property can be required.

##### Requirements

Header: `asio/execution/mapping.hpp`

Convenience header: `asio/execution.hpp`